[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.VisibleChanging

Notifies all VisibleChanging handlers.

## Declaration

Source position: forms.pp line 668

`protected procedure TCustomForm.VisibleChanging; override;`

## Description

Calls the inherited method prior to exit. Called prior to setting the new value for the Visible property in a control (or form) in the SetVisible method.

## See also

TControl.VisibleChanging |  | Notifies all chtOnVisibleChanging handlers for the control.